Bug Hunting Session
Bug 87653 - DIALOG: New object formatting dialog
Summary: DIALOG: New object formatting dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Object-Selection-Alignment Dialog
  Show dependency treegraph
 
Reported: 2014-12-23 23:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-05 22:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-23 23:05:30 UTC
Presently object formatting is scattered around in various dialogs like Line, Area, Position and Size, Text, etc. and it would be good to merge all of these into a single dialog so users have access to modify all of these settings in one dialog and for it to take up less space in the context menu. It would exclude the Colors, Gradients, Hatching, and Bitmap tabs from the Area dialog, as these tabs are for creation and modification of colors and not for their selection on an object.
Comment 1 Cor Nouws 2014-12-24 10:44:49 UTC
Did you take a look at the Styles and Formatting window, when an object is selected ;) ?

IMO this is simply WorksForMe
Comment 2 Yousuf Philips (jay) (retired) 2014-12-24 12:33:02 UTC
Yes the styles dialog would be the suitable dialog to duplicate, with the removal of some of the unnecessary tabs like organizer, font, font effects, indent & spacing, alignment, tabs, etc.

Many users do not use styles, which is why context menu entries for Line..., Area..., Text...
Comment 3 Cor Nouws 2014-12-24 15:33:20 UTC
(In reply to Jay Philips from comment #2)

> Many users do not use styles, which is why context menu entries for Line...,
> Area..., Text...

So we already offer direct formatting via toolbar, context menu, the side bar and now you want to make it even more confusing with an extra dialog, similar to that of the applied style bit with some tabs removed.. 
To facilitate dump use even more..

IMO it's time that you come on your bare knees to my desk to ask for forgiveness :)
Comment 4 Yousuf Philips (jay) (retired) 2014-12-25 09:56:45 UTC
(In reply to Cor Nouws from comment #3)
> So we already offer direct formatting via toolbar, context menu, the side
> bar and now you want to make it even more confusing with an extra dialog,
> similar to that of the applied style bit with some tabs removed.. 
> To facilitate dump use even more..

Well the point was to consolidate all the currently available dialogs for Line, Area, Text, etc. into a single dialog, so a user who wants to modify the line transparency (only available in the sidebar) and add a shadow to the area (only available in the toolbar) doesnt have to jump into two different dialogs to do so.

> IMO it's time that you come on your bare knees to my desk to ask for
> forgiveness :)

Yes my lord. :D
Comment 5 Cor Nouws 2014-12-28 21:33:04 UTC
(In reply to Jay Philips from comment #4)

> Well the point was to consolidate all the currently available dialogs for
> Line, Area, Text, etc. into a single dialog, so a user who wants to modify
> the line transparency (only available in the sidebar) and add a shadow to
> the area (only available in the toolbar) doesnt have to jump into two
> different dialogs to do so.

the dialog for Styles has 14 tabs..
So I guess that when you follow your path in the end you will have 13 tabs?
At least not adding to oversight ;\

> Yes my lord. :D

Ah well: the go ... and sin no more ;)
Comment 6 Cor Nouws 2014-12-28 21:33:19 UTC
(In reply to Jay Philips from comment #4)

> Well the point was to consolidate all the currently available dialogs for
> Line, Area, Text, etc. into a single dialog, so a user who wants to modify
> the line transparency (only available in the sidebar) and add a shadow to
> the area (only available in the toolbar) doesnt have to jump into two
> different dialogs to do so.

the dialog for Styles has 14 tabs..
So I guess that when you follow your path in the end you will have 13 tabs?
At least not adding to oversight ;\

> Yes my lord. :D

Ah well: then go ... and sin no more ;)
Comment 7 Yousuf Philips (jay) (retired) 2015-04-25 03:03:52 UTC
@Cor: Well i see where the argument of object styles fails and that is within Writer and Calc which doesnt have object styles, so a object formatting dialog would be very useful there. :D

This is no different from the character and paragraph dialogs which work across all apps, though impress/draw dont have character or paragraph styles.
Comment 8 Cor Nouws 2015-05-04 09:46:26 UTC
(In reply to Yousuf (Jay) Philips from comment #7)
> @Cor: Well i see where the argument of object styles fails and that is
> within Writer and Calc which doesnt have object styles, so a object
> formatting dialog would be very useful there. :D

There are styles for some objects.
And I'd rather see energy spent to improve that. After all, the ability to edit the properties is not missing at the moment.

Let's say wontFix ;) ?
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:24:19 UTC Comment hidden (obsolete)
Comment 10 Robinson Tryon (qubit) 2016-08-25 04:45:00 UTC Comment hidden (obsolete)
Comment 11 Heiko Tietze 2017-01-10 15:21:34 UTC
We talked about the idea in the design meeting and agreed on it. Before implementation starts it makes sense to check whether or not all tabs can be integrated into the new dialog or if we need an additional level in the hierarchy. Meaning a mockup is required now.
Comment 12 Heiko Tietze 2017-12-04 10:39:56 UTC Comment hidden (no-value)